# USB Keyboard with Push Button and LED

This project implements a USB HID keyboard using the ESP32-S2 Mini with support for multiple buttons, each with its own RGB LED feedback.

## File Structure

- `src/main.cpp` - Main program entry point
- `src/include/Button.h` - Button class declaration 
- `src/include/Button.cpp` - Button class implementation

## Hardware Connections

For each button, you'll need:
1. A push button connected between a GPIO pin and GND
2. Three GPIO pins for the RGB LED (for red, green, and blue)
